Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Operation_Table_Factory Class Reference

Factory for producing operation table lookup objects based on the enumerated value of strategy held by the parameters. More...

`#include <Operation_Table.h>`

List of all members.

## Public Methods
TAO_Operation_Table * | opname_lookup_strategy (void)
| Return an instance of the specified lookup strategy.
| TAO_Operation_Table_Factory (void)
| Constructor.
| ~TAO_Operation_Table_Factory (void)
| Destructor.

## Detailed Description

Factory for producing operation table lookup objects based on the enumerated value of strategy held by the parameters.

## Constructor & Destructor Documentation

TAO_Operation_Table_Factory::TAO_Operation_Table_Factory | ( | void |  | ) |

| Constructor.

TAO_Operation_Table_Factory::~TAO_Operation_Table_Factory | ( | void |  | ) |

| Destructor.

## Member Function Documentation

TAO_Operation_Table * TAO_Operation_Table_Factory::opname_lookup_strategy | ( | void |  | ) |

| Return an instance of the specified lookup strategy.

The documentation for this class was generated from the following files:

- Operation_Table.h
- Operation_Table.cpp